#
# spec file for package Do'SSi Zo'la (Version 1.0)
# 
# Author: Christian W. Zuckschwerdt <zany@triq.net>, Sep 2000
#

%define prefix  /usr/games
%define name    dossizola
%define version 1.0
%define release 2

Summary:     Do'SSi Zo'la is a board game.
Name:        %{name}
Version:     %{version}
Release:     %{release}
Copyright:   GPL
Group:       X11/Games
Source:      http://dossizola.sourceforge.net/%{name}-src.%{version}.tar.gz
URL:         http://dossizola.sourceforge.net/
BuildRoot:   %{_tmppath}/%{name}-%{version}-root
Packager:    Christian W. Zuckschwerdt <zany@triq.net>


%description
Do'SSi Zo'la is a board game under GPL licence, using SDL. You
can play with two players or you can play on your own against the
computer. 
The goal of the game is quite simple: block your opponent by
destroying the fields which surround him without being blocked
yourself. Every turn of play, each player must first move
to some adjacent field and then destroy a field of his choice. The first
player who cannot move anymore loses the game. 

%prep
%setup

%build
./configure --prefix=%{prefix} --enable-rpm="$RPM_OPT_FLAGS"
make
cat >dossizola.sh <<EOF
#!/bin/sh
%{prefix}/dossizola/dossizola
EOF

%install
make prefix=$RPM_BUILD_ROOT%{prefix} install
install -d $RPM_BUILD_ROOT%{prefix}/bin
install -m 755 dossizola.sh $RPM_BUILD_ROOT%{prefix}/bin/dossizola

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc AUTHORS COPYING ChangeLog README TODO 

%{prefix}/
